package com.yeejoin.amos.fas.business.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.fas.dao.entity.ContingencyPlanInstance;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ContingencyPlanInstanceMapper extends BaseMapper<ContingencyPlanInstance> {


    List<ContingencyPlanInstance> getPlanInstanceListByPage(@Param("batchNo") String batchNo, @Param("pageNum") Integer pageNum, @Param("size") Integer size);

    Integer getPlanInstanceCount(@Param("batchNo") String batchNo);

    Map<String, String> getUserByUserId(@Param("userId") String userId);
}
